/*
 * Fila_ligada_simples: immplementação ligada ineficiente.
 */

#ifndef FILA_LIGADA_SIMPLES
#define FILA_LIGADA_SIMPLES

typedef struct No_fila {
  int v;
  struct No_fila* prox;
} No_fila;

typedef No_fila* Fila;

/* Inicia uma instância do tipo fila */
void cria_fila(Fila* ap_fila);

/* Verifica se a fila está vazia */
int fila_vazia(Fila* ap_fila);

/* Insere um elemento na fila */
void insere_fila(Fila* ap_fila, int v);

/* Remove um elemento da fila */
int remove_fila(Fila* ap_fila);

/* Descarta todos os elementos da fila */
void libera_fila(Fila* ap_fila);

#endif
